Ritualistic Forums

Go Back   Ritualistic Forums > Ritual Entertainment Games > SiN Episodes > SiN Episodes Tech Help

Reply
 
Thread Tools Display Modes
Old 05-14-2006, 07:55 PM   #1
Herbert
Newbie
 
Join Date: May 2006
Posts: 5
Default Need Update Version

I don't think the problem is at our end of our PC. I don't think its got anything to do with our drivers being out of date.
The problems that are occuring to all the post is due to the game itself. Basicaly, Sin Episode needs to fix alot of errors and release a new patch as soon as possible.
All my games from Fry's, Gamestop, EB Game, Best Buy are perfectly running fine with no crash or what so ever.
My question is "if, CS:SOURCE, Day of Defeat:Source, and Half-Life2 is running with FULL max anti at x8 and x16 with no crash" and why is this game crashing?
The answer to all of the above is:
When is Sin Episode will release a patch to fix all the bugs.

Thanks
Herbert is offline   Reply With Quote
Old 05-14-2006, 08:15 PM   #2
10Stars
Rookie
 
Join Date: May 2006
Posts: 16
Default Re: Need Update Version

I DEFINETLY agree, seeing as they said that the MINIMUM directx needed to play is 7.0 then why cant people even pass the laboratory without directx 9.0??? Did you guys even have people TEST sin episodes? I dont see how, since normally they test games on the MINIMUM and RECOMMENDED settings and hardware. I dont understand how you guys can claim that its our PC. Like heres a thing, my SiN Just started crashing at the loadup screen, but i guess its my PC since i meet the Recommended requirements. I surpass the basic. ALSO, I REFORMATED MY COMPUTER THE DAY BEFORE SIN CAME OUT, SO ITS NOT MY DRIVERS. I put THE MOST UP TO DATE things in my computer. You guys need to do something FAST.

SiN Episodes said before release: Gamers will hear about this game from word of mouth.

Yeah they will hear how NO ONE CAN PLAY THROUGH IT.
they will hear COMPLAINTS.
they will hear how they SHOULDNT BUY THE GAME.
10Stars is offline   Reply With Quote
Old 05-14-2006, 08:57 PM   #3
MeatPuppet
Level Designer
 
Join Date: May 2004
Posts: 123
Default Re: Need Update Version

Quote:
Originally posted by 10Stars:
I DEFINETLY agree, seeing as they said that the MINIMUM directx needed to play is 7.0 then why cant people even pass the laboratory without directx 9.0??? Did you guys even have people TEST sin episodes? I dont see how, since normally they test games on the MINIMUM and RECOMMENDED settings and hardware. I dont understand how you guys can claim that its our PC. Like heres a thing, my SiN Just started crashing at the loadup screen, but i guess its my PC since i meet the Recommended requirements. I surpass the basic. ALSO, I REFORMATED MY COMPUTER THE DAY BEFORE SIN CAME OUT, SO ITS NOT MY DRIVERS. I put THE MOST UP TO DATE things in my computer. You guys need to do something FAST.

SiN Episodes said before release: Gamers will hear about this game from word of mouth.

Yeah they will hear how NO ONE CAN PLAY THROUGH IT.
they will hear COMPLAINTS.
they will hear how they SHOULDNT BUY THE GAME.
Why don't you read the other posts before bashing the developers? They know there is a DX7 problem and plan to release the fix for it in a patch in the next few days. Geez. [img]/forums/images/graemlins/crazy.gif[/img]
MeatPuppet is offline   Reply With Quote
Old 05-15-2006, 02:55 AM   #4
10Stars
Rookie
 
Join Date: May 2006
Posts: 16
Default Re: Need Update Version

Quote:
Originally posted by MeatPuppet:
Quote:
Originally posted by 10Stars:
I DEFINETLY agree, seeing as they said that the MINIMUM directx needed to play is 7.0 then why cant people even pass the laboratory without directx 9.0??? Did you guys even have people TEST sin episodes? I dont see how, since normally they test games on the MINIMUM and RECOMMENDED settings and hardware. I dont understand how you guys can claim that its our PC. Like heres a thing, my SiN Just started crashing at the loadup screen, but i guess its my PC since i meet the Recommended requirements. I surpass the basic. ALSO, I REFORMATED MY COMPUTER THE DAY BEFORE SIN CAME OUT, SO ITS NOT MY DRIVERS. I put THE MOST UP TO DATE things in my computer. You guys need to do something FAST.

SiN Episodes said before release: Gamers will hear about this game from word of mouth.

Yeah they will hear how NO ONE CAN PLAY THROUGH IT.
they will hear COMPLAINTS.
they will hear how they SHOULDNT BUY THE GAME.
Why don't you read the other posts before bashing the developers? They know there is a DX7 problem and plan to release the fix for it in a patch in the next few days. Geez. [img]/forums/images/graemlins/crazy.gif[/img]
UHHH ARE YOU NOT UNDERSTANDING? I HAVE READ ALL OF THE POSTS.

They said that they are making a patch.


BUT, IF THEY HAD PEOPLE TEST THE GAME.

They wouldnt need to release a patch.

You think that what you just said makes any sense? Maybe if they had people test the game on all versions of DX then maybe they could have found this before they released it. I mean its not like its a problem everyones having.....OR IS IT?
I mean hey, its not a problem that stops people from playing the game...OR IS IT?
Seriously though, its something that no one could have ever seen in development or before they released it, it was just a small bug they are releasing a patch for right.....NO WRONG INCORRECT BAD BAD BAD.
10Stars is offline   Reply With Quote
Old 05-15-2006, 02:00 PM   #5
ATimson
Experienced
 
ATimson's Avatar
 
Join Date: Aug 2003
Posts: 127
Default Re: Need Update Version

Quote:
Originally posted by 10Stars:
BUT, IF THEY HAD PEOPLE TEST THE GAME.

They wouldnt need to release a patch.

You think that what you just said makes any sense? Maybe if they had people test the game on all versions of DX then maybe they could have found this before they released it.
They did have people test this on all versions of DX. It's a problem that only shows up on certain, specific video cards, and even then not all versions of that. (Michael Russell, their testing lead, has said that they have at least one pair of seemingly identical cards where one exhibits the bug and another does not.)

Quote:
I mean its not like its a problem everyones having.....OR IS IT?
No, it's not. [img]/forums/images/graemlins/tongue.gif[/img]
ATimson is offline   Reply With Quote
Old 05-15-2006, 02:03 PM   #6
Parnic
Programmer, Gearbox Software
 
Parnic's Avatar
 
Join Date: Nov 2005
Posts: 231
Default Re: Need Update Version

We are addressing this problem and hope to have a fix for it post-haste. I personally tested the game in directx7 many times and did not have this bug happen to me, so I can assure you it was tested and it is isolated to certain hardware types. Thank you for your patience while we resolve this issue.
Parnic is offline   Reply With Quote
Old 05-15-2006, 02:58 PM   #7
CrimsonDeathBed
Rookie
 
CrimsonDeathBed's Avatar
 
Join Date: May 2006
Location: Michigan
Posts: 16
Default Re: Need Update Version

I think most problems are hardware related. I mean, come on, if your computer is old as dirt, its time to upgrade. I play Sin episodes with everything on high. The game never crashed once. All of my drivers are up to date, fairly new hardware as well.
CrimsonDeathBed is offline   Reply With Quote
Old 05-15-2006, 11:38 PM   #8
10Stars
Rookie
 
Join Date: May 2006
Posts: 16
Default Re: Need Update Version

Yeah it was tested so well that how many people are complaining about it? Theres what, 4 or 5 more people everyday just registering to say something about it? Damn you guys seem to have alot of "specific" hardware problems then. Normally specific doesnt range around 1000s of peoples computers.

And my computer is about as up to date as it should be, especially since i meet the RECOMMENDED for the game and not the BASIC hardware. its not like i have a 930 mhz processor with 128 mb ram complaining that its lagging.

And who would buy a source engine game with a computer thats "old as dirt" Think about what you say before you type it. This isnt the well i think someone using windows 98 is gunna buy sin so let me bring that up.
10Stars is offline   Reply With Quote
Old 05-16-2006, 01:31 AM   #9
Ajaxkron
Newbie
 
Join Date: Apr 2006
Posts: 7
Default Re: Need Update Version

Did you try increasing shader quality (unless it defaults to high)? Did the trick for me.
Not sure it'll work for you though, as I'm running on a DirectX 8.1 card.

Worth a try.
Quick note; if you manage to get past the level transition point, make sure you don't revert the shader quality setting to low, as it'll freeze the game.
Ajaxkron is offline   Reply With Quote
Old 05-16-2006, 05:44 AM   #10
10Stars
Rookie
 
Join Date: May 2006
Posts: 16
Default Re: Need Update Version

Ah, i also run on an 8.1 card. I will go try it now.
10Stars is offline   Reply With Quote
Old 05-16-2006, 05:53 AM   #11
10Stars
Rookie
 
Join Date: May 2006
Posts: 16
Default Re: Need Update Version

Quote:
Originally posted by Ajaxkron:
Did you try increasing shader quality (unless it defaults to high)? Did the trick for me.
Not sure it'll work for you though, as I'm running on a DirectX 8.1 card.

Worth a try.
Quick note; if you manage to get past the level transition point, make sure you don't revert the shader quality setting to low, as it'll freeze the game.

WOW IT WORKED!!!!

YOUR THE SHIT!!!!!

RITUAL HIRE THIS DUDE CAUSE HES SMARTER THEN ALL YOUR TESTER!!
10Stars is offline   Reply With Quote
Old 05-16-2006, 09:02 AM   #12
Sejefar
Rookie
 
Join Date: May 2006
Posts: 18
Default Re: Need Update Version

I agree. It IS the game itself. I have a high end system and I can run everything (Far Cry, Doom III, Half-Life 2, F.E.A.R, Oblivion and many other games) at HIGH settings, but i can't run Sin Episodes satisfactory. It Stutters, it freezes, it crashes - you name it. It is no fun playing a game, knowing that it can crash at any moment. Instead of blaming the customers for having bad systems some serious action should be taken to fix it. But first of all: The game should have been tested BEFORE the release!
Sejefar is offline   Reply With Quote
Old 05-16-2006, 09:40 AM   #13
Standoff
Veteran
 
Join Date: Apr 2006
Posts: 377
Default Re: Need Update Version

As if it wasn't. As if they have the ten million it would take to test on every single system configuration on Earth. As if they could even find enough worthwhile testers.

Heh. Grow up. Every software product has issues at launch, and they always will.
Standoff is offline   Reply With Quote
Old 05-16-2006, 10:50 AM   #14
Sejefar
Rookie
 
Join Date: May 2006
Posts: 18
Default Re: Need Update Version

We are not talking about "issues" in this case. I have payed for a product that is worthless.
Sejefar is offline   Reply With Quote
Old 05-16-2006, 11:56 AM   #15
Superfly
Regular
 
Join Date: May 2006
Posts: 63
Default Re: Need Update Version

no you hav'nt the % of users with game crippling faults is tiny, ypur just being an ass about the whole thing.
Superfly is offline   Reply With Quote
Old 05-16-2006, 12:58 PM   #16
Parnic
Programmer, Gearbox Software
 
Parnic's Avatar
 
Join Date: Nov 2005
Posts: 231
Default Re: Need Update Version

Please be patient as we are testing Wednesday's patch. We want to get the game as stable as possible as soon as possible for you guys to enjoy it. We will have the patch out soon and hopefully alleviate many of these issues. Thanks for your continued input in helping make this a better game.
Parnic is offline   Reply With Quote
Old 05-16-2006, 10:07 PM   #17
10Stars
Rookie
 
Join Date: May 2006
Posts: 16
Default Re: Need Update Version

Quote:
Originally posted by Superfly:
no you hav'nt the % of users with game crippling faults is tiny, ypur just being an ass about the whole thing.
is tiny? LOLOLOLOLOLOLOLOLOLOLOL>>>

Continues on page 349...LOLOLOLOLOLOLOLOLOLOLOLOLOLOLOLOLOLOLOLOLOL.
10Stars is offline   Reply With Quote
Old 05-17-2006, 07:30 AM   #18
Superfly
Regular
 
Join Date: May 2006
Posts: 63
Default Re: Need Update Version

thanks for proving my point.

Superfly is offline   Reply With Quote
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 03:59 PM.


Powered by vBulletin® Version 3.6.3
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.